package com.example.livingai.domain.usecases

import com.example.livingai.domain.model.SettingsData
import com.example.livingai.domain.repository.AppDataRepository
import javax.inject.Inject

class SaveSettingsUseCase @Inject constructor(
    private val appDataRepository: AppDataRepository
) {
    suspend operator fun invoke(settings: SettingsData) = appDataRepository.saveSettings(settings)
}